wibble::commandline::Help Class Reference

`#include <doc.h>`

Inheritance diagram for wibble::commandline::Help:
[legend]
Collaboration diagram for wibble::commandline::Help:
[legend]

## Public Member Functions

| Help (const std::string &app, const std::string &ver)
void | outputVersion (std::ostream &out)
void | outputHelp (std::ostream &out, const Engine &cp)
Public Member Functions inherited from wibble::commandline::DocMaker
| DocMaker (const std::string &app, const std::string &ver)

## Protected Member Functions

void | outputOptions (std::ostream &out, HelpWriter &writer, const Engine &cp)

## Additional Inherited Members

Protected Attributes inherited from wibble::commandline::DocMaker
std::string | m_app
std::string | m_ver

## Constructor & Destructor Documentation

## Help()

wibble::commandline::Help::Help | ( | const std::string & | app,
|  | const std::string & | ver
| ) |  |

inline

## Member Function Documentation

## outputHelp()

void wibble::commandline::Help::outputHelp | ( | std::ostream & | out,
|  | const Engine & | cp
| ) |  |

References wibble::commandline::Engine::aliases, wibble::commandline::Engine::commands(), wibble::commandline::Engine::description, wibble::commandline::Engine::hasOptions(), wibble::commandline::Engine::primaryAlias, and wibble::commandline::Engine::usage.

Referenced by wibble::commandline::StandardParser::outputHelp(), and wibble::commandline::StandardParserWithMandatoryCommand::parse().

## outputOptions()

void wibble::commandline::Help::outputOptions | ( | std::ostream & | out,
|  | HelpWriter & | writer,
|  | const Engine & | cp
| ) |  |

protected

References wibble::commandline::Engine::groups(), and wibble::commandline::Engine::options().

## outputVersion()

void wibble::commandline::Help::outputVersion | ( | std::ostream & | out | ) |

Referenced by wibble::commandline::StandardParser::parse().

The documentation for this class was generated from the following files:

- doc.h
- doc.cpp